/** 
 * The manual joogl clock object. 
 * <p>
 * This is the manual clock class.  This clock only changes when the setTime method is called.
 *
 * @version 	1.00
 * @author      Blair MacIntyre
 */
public class jooglManualClock extends jooglClock {
    
    /** The default constructor.  The initial time is 0. */
    public jooglManualClock ()
    {
        super();
        time = 0;
    }
    
    /** The manual clock never moves by itself. 
     * @return true if the clock is moving;  false is always returned. */
    public boolean isMoving()
    {
        return false;
    }
    
    /** Return the current time. 
     * @return the current time
     */
    public long getTime()
    {
        return time;
    }

    /** Set the clock time. 
     * 
     * @param t the desired time for the clock.
     * @return the new time.
     */
    public long setTime(long t)
    {
        time = t;
        redrawWindows();
        return time;    
    }

    /**
     * Start the clock moving.
     *
     * @return the current clock time in milliseconds
     */
    public long start()
    {
        return time;    
    }
    
    /** 
     * Stop the clock from moving.
     *
     * @return the current time in milliseconds
     */
    public long stop()
    {
        return time;
    }
    
}
